Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065301 (python3-simplepam) - Review Request: python3-simplepam - Pure Python interface to the Pluggable Authentication Modules system on Linux
Summary: Review Request: python3-simplepam - Pure Python interface to the Pluggable Au...
Keywords:
Status: CLOSED ERRATA
Alias: python3-simplepam
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: pyxtrlock
TreeView+ depends on / blocked
 
Reported: 2014-02-14 10:06 UTC by Leon Weber
Modified: 2014-02-28 18:38 UTC (History)
2 users (show)

Fixed In Version: python3-simplepam-0.1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-19 21:14:11 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Leon Weber 2014-02-14 10:06:35 UTC
Spec URL: http://feynman.q-ix.net/rpm/python3-simplepam.spec
SRPM URL: http://feynman.q-ix.net/rpm/python3-simplepam-0.1.4-1.fc19.src.rpm
Description: This module provides an authenticate function that allows the caller to authenticate a given username / password against the PAM system on Linux.

Fedora Account System Username: leonn

Koji scratch builds:
F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6525033
F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6525044
F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6525062

I’m upstream maintainer for this package.

This is my first package, so I’ll need a sponsor. I’ve started to do some reviews to train myself:

https://bugzilla.redhat.com/show_bug.cgi?id=1064995#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1064661#c1

Comment 2 Rex Dieter 2014-02-17 17:03:59 UTC
I'll take a look...

Comment 3 Rex Dieter 2014-02-17 17:13:37 UTC
Package looks simple/clean.


$ rpmlint *.src.rpm noarch/*.rpm
python3-simplepam.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
python3-simplepam.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

(mostly harmless)


sources verified ok
c8fcb14af7652058da774d43e7fc3342  0.1.4.tar.gz


licensing: ok


builds/installs ok.


Package APPROVED (and I'll sponsor you shortly, good work on pre-reviews)

Comment 4 Rex Dieter 2014-02-17 17:16:43 UTC
sponsored

Comment 5 Leon Weber 2014-02-17 20:15:35 UTC
Thank you, Rex!

Comment 6 Leon Weber 2014-02-17 20:17:10 UTC
New Package SCM Request
=======================
Package Name: python3-simplepam
Short Description: Pure Python interface to the Pluggable Authentication Modules system on Linux
Owners: leonn
Branches: f19 f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-02-18 13:48:37 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-02-18 14:17:37 UTC
python3-simplepam-0.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python3-simplepam-0.1.4-1.fc19

Comment 9 Fedora Update System 2014-02-18 14:20:29 UTC
python3-simplepam-0.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python3-simplepam-0.1.4-1.fc20

Comment 10 Fedora Update System 2014-02-28 18:32:54 UTC
python3-simplepam-0.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-02-28 18:38:49 UTC
python3-simplepam-0.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.